Клуб API Карт

Баг при переходе на версию 2.1

Пост в архиве.
borodenkov.s
29 мая 2014, 15:30

После перехода от версии 2.0 к 2.1 карта ведёт себя некоректно в некоторых браузерах видео Снято на linux Google ChromVersion 33.0.1750.152 Такой же баг наблюдался и на MacOS. Ссылка на страницу где возникает этот баг

4 комментария

Спасибо за сообщение, будем пытаться воспроизвести. У меня на маке во всех браузерах отрабатывает корректно.

У меня воспроизвелось в хроме

Похоже ломается при установке контейнеру стиля

position: fixed

(добавляется класс "map_fixed")

Всеволод Шмыров
28 января 2016, 00:08
Да. Есть такая проблема. Какой-то баг Blink - если у верхнего элемента (.results) убрать position: relative, z-index: 2 или overflow, то проблема пропадает. Пока как временное решение могу предложить поменять верстку этого элемента, если есть такая возможность.
В FF и IE не воспроизводится.
Всеволод Шмыров
28 января 2016, 00:08
Этот баг конфликтует с версткой карты в версии 2.1